import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:hangman/cubit/game_cubit.dart';
import 'package:hangman/models/game/game.dart';

class GameDisplayAnswerWidget extends StatelessWidget {
  const GameDisplayAnswerWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: BlocBuilder<GameCubit, GameState>(
        builder: (BuildContext context, GameState gameState) {
          final Game currentGame = gameState.currentGame;

          return Padding(
            padding: const EdgeInsets.all(8),
            child: FittedBox(
              child: Text(
                currentGame.secretWord,
                style: const TextStyle(
                  fontFamily: 'Tiza',
                  fontSize: 36.0,
                ),
              ),
            ),
          );
        },
      ),
    );
  }
}
